apiVersion: apps/v1
kind: Deployment
metadata:
  name: teckids-website
  namespace: teckids-website
  labels:
    app: teckids-website
spec:
  replicas: 3
  selector:
    matchLabels:
      app: teckids-website
  template:
    metadata:
      labels:
        app: teckids-website
    spec:
      containers:
      - name: caddy
        image: registry.edugit.org/teckids/team-pr/teckids.org:IMAGE_TAG
        ports:
          - containerPort: 80
            name: http
        livenessProbe:
          httpGet:
            scheme: HTTP
            port: http
            path: /
          timeoutSeconds: 10
        readinessProbe:
          httpGet:
            scheme: HTTP
            port: http
            path: /
          timeoutSeconds: 10
